// MLX90614 commands
// RAM
#define MLX90614_RAWIR1  0x04
#define MLX90614_RAWIR2  0x05
#define MLX90614_TA      0x06  // Ambient Temperature
#define MLX90614_TOBJ1   0x07  // Object Temperature 1
#define MLX90614_TOBJ2   0x08  // Object Temperature 2
// EEPROM
#define MLX90614_TOMAX   0x20  // Object Temperature Max.
#define MLX90614_TOMIN   0x21  // Object Temperature Min.
#define MLX90614_PWMCTRL 0x22
#define MLX90614_TARANGE 0x23
#define MLX90614_EMISS   0x24
#define MLX90614_CONFIG  0x25
#define MLX90614_ADDR    0x2E  // I2C Address
#define MLX90614_ID1     0x3C
#define MLX90614_ID2     0x3D
#define MLX90614_ID3     0x3E
#define MLX90614_ID4     0x3F

#define MLX90614_slave_addr           0xB4

class MLX90614 {
    public:
        uint16_t getTA();
        uint16_t getTOBJ1();
};
